List Webhook Events
curl --request GET \
--url https://api.stablepay.global/v2/webhooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stablepay.global/v2/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stablepay.global/v2/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
List Webhook Events
List webhook events for your partner account
GET
/
v2
/
webhooks
List Webhook Events
List Webhook Events
Returns a paginated list of webhook events.Page number
Items per page
Filter: pending, delivered, failed
Request
curl "https://api.stablepay.global/v2/webhooks?status=failed" \
-H "Authorization: Bearer YOUR_API_KEY"
Response
{
"success": true,
"data": [
{
"id": "evt_abc123",
"eventType": "transaction.payout_completed",
"status": "delivered",
"attempts": 1,
"transactionId": "txn_xyz789",
"deliveredAt": "2025-06-15T10:40:00Z",
"createdAt": "2025-06-15T10:40:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 100,
"totalPages": 5
}
}
⌘I
